cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

New Settings API: scope is required

Bert_VanderHeyd
Advisor

Using the v2/settings API to set preset dashboards for certain groups.

 

Found out that the schema = builtin:dashboards.presets

When execution this to get the objects ...

 

curl -X GET "https://xxxxx.live.dynatrace.com/api/v2/settings/objects?schemaIds=builtin%3Adashboards.presets&fields=objectId%2Cvalue" -H "accept: application/json; charset=utf-8" -H "Authorization: Api-Token xxxx"

 

I complains that scope is required.

Acccording to the docs, scope is optional (https://www.dynatrace.com/support/help/dynatrace-api/environment-api/settings/objects/get-objects/)

And I have no idea what to define as scope here. The dashboard itself?

3 REPLIES 3

Bert_VanderHeyd
Advisor

Ok, when the nextPageKey is not set, this parameter is required. But what do I need to specify here?

Bert_VanderHeyd
Advisor

Ok, found it. "environment" is actually a keyword. Maybe I should improve my doc-reading skills 😉

Ran into this yesterday and thought I have a look at the docs today. Thanks for sparing me the work 🙂

 

Dynatrace Certified Master, AppMon Certified Master - Dynatrace Partner - 360Performance.net